const buble = require('rollup-plugin-buble')
const flow = require('rollup-plugin-flow-no-whitespace')
const cjs = require('rollup-plugin-commonjs')
const node = require('rollup-plugin-node-resolve')
const replace = require('rollup-plugin-replace')
const version = process.env.VERSION || require('./package.json').version

module.exports = {
  entry: 'src/install.js',
  dest: 'index.js',
  format: 'cjs',
  moduleName: 'weex-evnt-vue-router',
  plugins: [replace({
    'process.env.NODE_ENV': '"development"'
  }), flow(), node(), cjs(), buble()],
  banner: `/**
 * weex-evnt-vue-router v${version}
 * (c) ${new Date().getFullYear()} fushun
 * link https://github.com/dongnaebi/weex-vue-router
 * @license Apache-2.0
 */`
}